
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Mysql学习笔记（十二）触发器 / iVAN</title>

    <meta name="description" content="Mysql学习笔记（十二）触发器 原文:Mysql学习笔记(十二)触发器 学习内容: 1.触发器: 什么是触发器?我们什么时候能够使用触发器?   触发器就是用来监听某个表的变化,当这个表发生变化的时候来触发某种操作..比若说两个表是相互关联的,当我们在对其中一个表格进行操作的同时,另一个表内的数据也需要进行某种操作,那么我们就需要建立一个触发器来监听任何一个表发生的变化,当其中一个表的数据发生变化的同时,触发器里的代码块将会对另一个表格进行对数据的某种操作.. 总而言之,触发器一般是使用在表与表之间的,单个的表建立触发器是没有">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Mysql学习笔记（十二）触发器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/RGogoing/p/4491238.html" rel="external nofollow noreferrer">Mysql学习笔记（十二）触发器</a><br />
<br /><strong>学习内容：</strong></p>
<p><strong>1.触发器：</strong></p>
<p><strong>什么是触发器？我们什么时候能够使用触发器？</strong></p>
<p><strong>  触发器就是用来监听某个表的变化，当这个表发生变化的时候来触发某种操作..比若说两个表是相互关联的，当我们在对其中一个表格进行操作的同时，另一个表内的数据也需要进行某种操作，那么我们就需要建立一个触发器来监听任何一个表发生的变化，当其中一个表的数据发生变化的同时，触发器里的代码块将会对另一个表格进行对数据的某种操作。。</strong></p>
<p><strong>总而言之，触发器一般是使用在表与表之间的，单个的表建立触发器是没有任何的意义的。。。。</strong></p>
<p><strong>触发器的监听范围：增，删，改</strong></p>
<p><strong>触发的操作：增，删，改</strong></p>
<p><strong>  有点懵，我们来举一个实例。。。比如说一个订餐系统。。其中存在着一个订单数量的数据库，一个外卖样式的数据库。。当客户进行订餐的时候，订单的数量变化的同时，那么外卖样式的数据库信息也要发生变化，这两个表是相互关联的。。总不能我们的库存外卖数量已经空了，我们还能够接受订单吧？一旦出现这种情况，那么必定会出现问题。。。因此我们可以使用触发器来解决这个问题。。。</strong></p>
<p> </p>
<pre>create table order_form
(
    order_form_id int not null,         //每一种外卖的id
    order_form_much int not null     //每一种外卖允许订的最大数量
);     //建立一个订单表格.....
create table food
(
    food_id int not null,                  //外卖的id信息
    food_name nvarchar(50) not null,  //外卖的名字，样式
    food_much int not null              //外卖的库存量
);

insert into order_form values(1,10),(2,5),(3,15),(4,20),(5,5); //插入数据信息

insert into food values(1,'澳洲鲍鱼',10),(2,'龙虾',5),(3,'鱼翅',15),(4,'花枝',20),(5,'干贝',5); //插入信息

比如说用户订了一份澳洲鲍鱼，那么food内名字为澳洲鲍鱼的库存数量就需要减一，同时订单内名字为澳洲鲍鱼的数量也需要减一。。。当最大数量减为0的时候，那么就代表库存空了，那么就不再接受客户的订单了....

这个过程的实现需要触发器。。。基本语法：
create trigger trigger_name (after/before insert/update/delete 监听的范围) on table_name for each row
begin
      一句或者多句sql语句;
end;

create trigger trg1 after on order_form for each row
begin
      update food set food_much=food_much-1 where food_id=old.order_form_id;  //这个old必须要加，否则出错....
end;

update order_form set order_form_much=order_form_much-1 where order_form_id=1; //当这句话执行的时候触发器将被触发。。意思就是客户定了一份外卖，那么订单数在减一的同时,库存量同时也要减少....

这个触发器不灵活，因为客户不可能每次都定一份外卖吧。。有可能订多份。。。我们是可以对订的数量进行判断，但是如果订了1000份，我们总不能判断1000次吧。。。因此我们还可以新建一个表格，里面保存着每一份外卖被订了多少次。。然后通过对这个表保存的信息来修改其他两个表信息....

create table c_count
(
    id int not null,
    num int not null default 0,
    primary key(id);
);
当有订单的时候，我们把订单的数据更新到这个表格内。。

建立触发器。。。
create trigger trg2 after on update on for each row
begin
      update food set food_much=food_much-old.num where food_id=old.id;
      update food set order_form_much=order_form_much-old.num where order_form_id=old.id;
end;

update c_count set num=2 where id=3;//触发器被触发。。。</pre>
<p> </p>
<p><strong>  上面只是简单的介绍了一下更新操作，我再简单的说一下插入和删除操作是如何触发监听的，虽然说模式都差不多，但是还是有一些需要注意的地方...</strong></p>
<p><strong>删除操作后的触发：</strong></p>
<p><strong>比如说当用户取消订单的时候，那么我们对应的允许的订单数量和库存量也要随之发生改变。。。</strong></p>
<p> </p>
<pre>create table c_count
(
    id int not null,
    num int not null default 0,
    primary key(id);
); //还是那个表格。。。

create trigger trg2 after on update on for each row
begin
      update food set food_much=food_much+old.num where food_id=old.id;
      update food set order_form_much=order_form_much+old.num where order_form_id=old.id;  //也是使用(old.数据) 来表示删除前的数据信息
end;

delete from c_count where id=1; </pre>
<p> </p>
<p><strong>插入操作的触发：</strong></p>
<p><strong>比如说：店内新增了一样产品。。。那么我们仍然需要更新数据库内的信息...</strong></p>
<p> </p>
<pre>mysql&gt; create trigger trg1 after insert on c_count for each row
    -&gt; begin
    -&gt;     insert into food values(6,'比目鱼',8);
    -&gt;     insert into order_form values(6,8);
    -&gt; end;

mysql&gt; insert into c_count values(6,8);  

//这里还有一个注意。。就是像上面删除的地方我们需要使用（old.数据）来操作我们删除之前的数据。。。那么这里的插入操作，我们需要使用（new.数据）来操作我们插入的新数据...</pre>
<p><strong>删除触发器：</strong></p>
<pre>drop trigger trg1;</pre>
<p><strong>查看触发器信息：<br /></strong></p>
<pre>show triggers;</pre>
<p><strong>触发器里after和before的区别:<br />after是先安完成数据的增，删，改再触发<br />
触发的语句晚于监视的增，删，改，无法影响前面的增删改动作<br />
before是先完成触发，再增删改<br />
触发的语句先于监视的增删改发生，我们有机会判断，修改即将发生的操作</strong></p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 01:49:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.iamivan.net/tag/create/" title="Create">Create</a>, <a href="https://www.iamivan.net/tag/update/" title="update">update</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Mysql学习笔记（十二）触发器的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6mdVb.html" rel="bookmark">kvm虚拟化学习笔记&lpar;十二&rpar;之kvm linux虚拟机在线扩展磁盘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://koumm.blog.51cto.com/703525/1295296 KVM虚拟化学习笔记系列文章列表 ---------------------------------------- kvm虚拟化学习笔记(一)之kvm虚拟化环境安装http://koumm.blog.51cto.com/703525/1288795 kvm虚拟化学习笔记(二)之linux kvm虚拟机安装 h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94qnob.html" rel="bookmark">Mysql学习笔记（二）数据类型 补充</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Mysql学习笔记(二)数据类型 补充 PS:简单的补充一下数据类型里的String类型以及列类型... 学习内容: 1.String类型 2.列类型存储需求   String类型: i.char与varchar char与varchar的类型相似,但是他们的保存方式和检索方式不同... char的存储结构是固定长度的存储...即指定了几个字节,那么就占用几个字节,如char(4),那么无论存入的是什么字串,那么都占用四个字节...char的 可表示长度范围为0-255的任何值,当保存的字			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2lYOb.html" rel="bookmark">hibernate3学习笔记&lpar;十二&rpar;｜Component</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在MySQL中新建数据表User: 1.CREATE TABLE user (2. id INT(11) NOT NULL auto_increment PRIMARY KEY,3. name VARCHAR(100) NOT NULL default '',4. age INT,5. email VARCHAR(100) NOT NULL6.); 按照最基本的映射策略的话,应该把User类设计成: 1.package onlyfun.caterpillar;2.3.public class U			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGA0LlM.html" rel="bookmark">JavaScript权威设计--命名空间，函数，闭包&lpar;简要学习笔记十二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.作为命名空间的函数 有时候我们需要声明很多变量.这样的变量会污染全局变量并且可能与别人声明的变量产生冲突. 这时.解决办法是将代码放入一个函数中,然后调用这个函数.这样全局变量就变成了 局部变量. 如: function my(){ } my(); //别忘记调用 这段代码定义了一个单独的全局变量:名叫&quot;my&quot;的函数. 我们还可以这么写,定义一个匿名函数: (function(){ //这里第一个左括号是必须的,如果不写,JavaScript解析器会将 //function解析成函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PZm6M.html" rel="bookmark">设计模式学习笔记&lpar;十二&rpar;&mdash;Builder建造者模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Builder模式定义: 将一个复杂对象的构建与它的表示分离,使得同样的构建过程可以创建不同的表示. 刚接触到这个模式的时候,实在搞不明白它的意思,有什么用.于是,上网google了一圈,终于得到这个大家普遍认可的解释: 建造模式是一步一步创建一个复杂的对象,它允许用户可以只通过指定复杂对象的类型和内容就可以构建它们,用户不知道内部的具体构建细节. 下面举一个例子来说明这个模式的使用,代码如下: import java.util.ArrayList; interface Builder{ pub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxP7BPM.html" rel="bookmark">Unmi的Struts2学习笔记&lpar;十二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上有所好,下必甚之.君不见屠宰场的墙头&quot;以三个代表指导我们的屠宰工作 !&quot; 发挥到极致:近来更是&quot;和谐&quot;泛滥,褒贬难分,诸如&quot;创建人水和谐&quot; 等 比比皆是.程序开发更需要务实,任凭天花乱坠都糊弄不了梗直的机器. 1. 初见 Struts2 的表单标签有 tooltip 以及 tooltipConfig 下的 tooltipBgColor 等属性,有一种砰然心动的感,本能的以为例如一个输入框,鼠 标悬停其中便出现一个 JS Tip 层,还可控制这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkQ92z.html" rel="bookmark">javascript学习笔记&lpar;十二&rpar; RegExp类型介绍&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.匹配模式标记: g ------ 表示全局模式,而不是发现第一个匹配成功就立刻结束 i ------- 表示不区分大小写模式 m ----- 表示多行匹配,一行结束时向下一行继续匹配 复制代码 代码如下: //匹配第一个bat 或cat,不区分大小写 var pattern1 = /[bc]at/i var pattern2 = new RegExp(&quot;[bc]at&quot;,&quot;i&quot;); //同上 使用RegEXp是字面量模式要转换成字符串 /\[bc\]at/ ===			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWde4p.html" rel="bookmark">kvm虚拟化学习笔记&lpar;十五&rpar;之kvm虚拟机动态迁移</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://koumm.blog.51cto.com/703525/1300783 相比KVM虚拟机静态迁移中需要拷贝虚拟机虚拟磁盘文件,kvm虚拟机动态迁移无需拷贝虚拟磁盘文件,但是需要迁移到的虚拟主机之间需要有相同的目录结构虚拟机磁盘文件,本文这部分内容通过nfs来实现,当然也可以采用GFS2集群文件系统来实现,本文的动态迁移是基于共享存储动态迁移. KVM动态迁移目前有两种,一种是基于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My321Jz.html" rel="bookmark">kvm虚拟化学习笔记&lpar;十六&rpar;之kvm虚拟化存储池配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://koumm.blog.51cto.com/703525/1304196 KVM虚拟化学习笔记系列文章列表 ---------------------------------------- kvm虚拟化学习笔记(一)之kvm虚拟化环境安装http://koumm.blog.51cto.com/703525/1288795 kvm虚拟化学习笔记(二)之linuxkvm虚拟机安装htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrYVGM.html" rel="bookmark">kvm虚拟化学习笔记&lpar;十八&rpar;之ESXi到KVM之v2v迁移</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://koumm.blog.51cto.com/703525/1304461 KVM虚拟化学习笔记系列文章列表 ---------------------------------------- kvm虚拟化学习笔记(一)之kvm虚拟化环境安装http://koumm.blog.51cto.com/703525/1288795 kvm虚拟化学习笔记(二)之linuxkvm虚拟机安装htt			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk01wz.html" rel="bookmark" class="title">三分钟创建网页相册</a>
					<div>
						创建|网页 如果您管理一个图像站点,或者您有很多照片需要发布,如何才能快速的完成一个网页相册,在网页中添加图像,制作链接,设置导航呢?手工的一页一页制作显然效率很低,工作量巨大.这里介绍一种应用Fir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD84Kz.html" rel="bookmark" class="title">BBS&lpar;php &amp;amp&semi; mysql&rpar;完整版&lpar;七&rpar;</a>
					<div>
						//下面是  top.js               function KB_keepItInIE(theName,theWantTop,theWantLeft) { theRealTop=pars ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgNmmb.html" rel="bookmark" class="title">利用ASP&period;NET向服务器上传文件</a>
					<div>
						asp.net|服务器|上传 文件上传技术是一个很实用的技术,有着很广泛的应用,在ASP.NET自身的前一个版本ASP里实现这个功能,就必须使用第三方的组件或者自己开发组件了,现在,用ASP.NET实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze49m9p.html" rel="bookmark" class="title">Java学习的30个目标</a>
					<div>
						本文将告诉你学习java需要达到的30个目标,希望能够对你的学习有所帮助.对比一下自己,你已经掌握了这30条中的多少条了呢? 1.你需要精通面向对象分析与设计(OOA/OOD).涉及模式(GOF,J2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NAV7z.html" rel="bookmark" class="title">Oracle 10GR2&plus;ASM在OEL上的安装（VMware Server 1&period;0）</a>
					<div>
						自动存储管理 (ASM) 是 Oracle 数据库 10g/11g 的一个特性,它为数据库管理员提供了一个简单的存储管理界面,并且该界面在所有服务器和存储平台上都是一致的.作为专门为 Oracle 数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX7GXp.html" rel="bookmark" class="title">使用Photoshop制作栅栏卡片动画</a>
					<div>
						  什么是&quot;栅栏卡片动画&quot;,顾名思义,就是配合&quot;栅栏卡片&quot;和&quot;图卡&quot;可以表现简单的动画的一种动画形式,就像上图一样,其实这种小玩意在很多小地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3n13M.html" rel="bookmark" class="title">MAC使用技巧之通过ADSL拨号上网的办法</a>
					<div>
						  本文介绍苹果电脑通过ADSL拨号上网的办法. ① 点击左上角蓝色苹果,系统预置→网络→新建位置→创建一个新的位置,自定名称,如:ADSL ② 显示→内建以太网 ③ PPPoE→选择连接使用 PPP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYVyBb.html" rel="bookmark" class="title">怎样查看mysql pid文件路径 文件位置</a>
					<div>
						当MySQL实例启动时,会将自己的进程ID写入一个文件中--该文件即为pid文件.该文件可由参数pid_file控制,默认位于数据库目录下,文件名为主机名.pid: mysql&gt; show va ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6PWAb.html" rel="bookmark" class="title">java IO之 编码 （码表 编码 解码 转换流）</a>
					<div>
						编码 什么是编码? 计算机中存储的都是二进制,但是要显示的时候,就是我们看到的却可以有中国 ,a  1 等字符 计算机中是没有存储字符的,但是我们却看到了.计算机在存储这些信息的时候,根据一个有规 则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAWmEM.html" rel="bookmark" class="title">Opera 12&period;10正式版发放下载</a>
					<div>
						Opera 12.10正式版的下载已经公开,Opera用户可以升级体验新功能.当前官方尚未公开Opera 12.10的更新日志,不过其功能变化我们从之前的Beta中也可以了解不少. Opera 12. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAl4GM.html" rel="bookmark" class="title">git管理冲突解决方案&hellip;&hellip;&hellip;&hellip;</a>
					<div>
						问题描述 git管理冲突解决方案---- 如果你注意到了我的提问,说明你已经是git管理高手,或者你曾经也遇到过这样的问题: git管理下的项目merge之后冲突,显示包内容方式打开.xocdepro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEY2eM.html" rel="bookmark" class="title">jquery文本框中的事件应用以输入邮箱为例&lowbar;jquery</a>
					<div>
						文本框中的事件应用:以输入邮箱为例,如图: 代码如下: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transiti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKOvwb.html" rel="bookmark" class="title">金山词霸CEO贾琳发布致用户信回顾15年发展历程</a>
					<div>
						2月22日下午消息,金山词霸今日推出2011版,并宣布正式换标主推社区.词霸CEO贾琳发布致用户一封信,回顾了词霸发展15年历程. 以下为致用户信全文: 亲爱的词霸用户: 感谢你们这么多年使用金山词霸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rwy0z.html" rel="bookmark" class="title">dtsi-想在MT7620a上扩展uart口，发现正常使能了uart口，但是还是不能正常使用</a>
					<div>
						问题描述 想在MT7620a上扩展uart口,发现正常使能了uart口,但是还是不能正常使用 最近新买的MT7620a开发板,看芯片的资料,发现有uartlite和uart两个串口,默认的boot口是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwdEnM.html" rel="bookmark" class="title">java创建文件流-window&period;URL&period;createObjectURL</a>
					<div>
						问题描述 window.URL.createObjectURL 通过window.URL.createObjectURL()方法生成的资源URL bdFile=&quot;Blob:http...3a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0vyOM.html" rel="bookmark" class="title">通过统计工具做数据分析、优化和挖掘</a>
					<div>
						很多站长每天都要看网站数据统计(cnzz统计.百度统计.51拉),我相信大多数人只看网站的&quot;浏览次数(PV)&quot;,&quot;独立访客(UV)&quot;,&quot;来路域名&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR0DZp.html" rel="bookmark" class="title">Java虚拟机详解05----垃圾收集器及GC参数</a>
					<div>
						本文主要内容: 堆的回顾 串行收集器 并行收集器 CMS收集器   零.堆的回顾: 新生代中的98%对象都是&quot;朝生夕死&quot;的,所以并不需要按照1:1的比例来划分内存空间,而是将内存分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyLN6z.html" rel="bookmark" class="title">CatchNotes：功能丰富的云端记事本应用</a>
					<div>
						Catch Notes(TechWeb配图)Catch Notes是一款功能丰富的免费云端记事本应用,界面美观,功能强大.与EverNote类似,跟EverNote比起来CatchNotes更易用,支 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqe3jb.html" rel="bookmark" class="title">java收到的socks4代理请求怎么解析</a>
					<div>
						问题描述 按理说收到的不应该是16进制的吗.为什么我收到的socks4请求长这个样子呀...411-6911075-1141110希望各位指点一下.有关的RFC文档我也看过,每个字节是什么我也清楚,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkA50M.html" rel="bookmark" class="title">百奥谷大赛火热进行 竞争态势一触即发</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 截至目前,Admin5第二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvndGVM.html" rel="bookmark" class="title">Mysql数据库如何实现多列组合去重复，然后统计个数？</a>
					<div>
						问题描述 Mysql数据库如何实现多列组合去重复,然后统计个数? 在mysql数据库中有一表table,根据两列 ip,cookie.通过这两列去除重复记录后统计个数 ip-------cookie  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL7ZDM.html" rel="bookmark" class="title">哪些域名才是真正的精品域名？</a>
					<div>
						何为精品?何为极品?在域名届里精品域名与极品域名这两个定义之分是有巨大的差别,对于一般的米农的理解来讲,精品域名无疑就是&quot;单拼&quot;.&quot;双拼&quot;.&quot;双字符& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYQL3b.html" rel="bookmark" class="title">javascript与CSS复习&lpar;三&rpar;&lowbar;javascript技巧</a>
					<div>
						我们先来看看如何获取光标相对于整个页面的位置,因为光标位置变量x,y一般通过鼠标事件获取(如mousemove或者mousedown),下面两个通用函数,用于获取光标相对于整个页面的当前位置. 复制代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0WaOp.html" rel="bookmark" class="title">AngularJS使用ngMessages进行表单验证&lowbar;AngularJS</a>
					<div>
						AngularJS 诞生于2009年,由Misko Hevery 等人创建,后为Google所收购.是一款优秀的前端JS框架,已经被用于Google的多款产品当中.AngularJS有着诸多特性,最为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba68XmM.html" rel="bookmark" class="title">去掉a标签点击后的虚线框实现代码</a>
					<div>
						 代码如下 复制代码 a{ blr:expression(this.onFocus=this.blur()); /* IE Opera */ outline:none; /* FF Opera */  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ18vGb.html" rel="bookmark" class="title">c&num; 用directx的video如何实现视频拉伸</a>
					<div>
						问题描述 全屏播放是按比例的,能实现不按比例满屏播放吗? 解决方案 解决方案二:有人吗,帮帮忙,是不是不能做到?解决方案三:或者有什么插件可以实现视频全屏拉伸的,求助					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z449BYz.html" rel="bookmark" class="title">又一个短信猫问题</a>
					<div>
						问题描述 privatevoidtimer1_Tick(objectsender,EventArgse){stringsCen=textBox4.Text;stringsCon=&quot;&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKQg5z.html" rel="bookmark" class="title">gridview 数据实时更新的问题</a>
					<div>
						问题描述 [img=http://static1.photo.sina.com.cn/middle/3e9c041444093b9b548d8&amp;000][/img]上面点击入库后下面gridv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvRaNb.html" rel="bookmark" class="title">业界主流MQ对比</a>
					<div>
						根据之前的学习和沉淀,本期我们总结了几款业界主流消息中间件产品的对比报告: 如有不准确的地方,请指正. 相关链接 Kafka.RabbitMQ.RocketMQ发送小消息性能对比 Kafka vs R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRVwBz.html" rel="bookmark" class="title">索尼发上半年财报亏损424亿日元</a>
					<div>
						[赛迪网讯]11月3日消息,据国外媒体报道,索尼2日发布了上半财年(4月至9月)财报.按照美国会计准则,索尼上半财年亏损424亿日元,而上一财年同期为盈利568亿日元.索尼解释称,亏损是因为液晶电视机 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
